org.apache.groovy.util

## Class SystemUtil

- java.lang.Object
- - org.apache.groovy.util.SystemUtil

    public class SystemUtil
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`SystemUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `setSystemPropertyFrom(java.lang.String nameValue)` Sets a system property from a name=value String

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SystemUtil

    public SystemUtil()

### Method Detail

#### setSystemPropertyFrom

    public static java.lang.String setSystemPropertyFrom(java.lang.String nameValue)

Sets a system property from a name=value String

Parameters:
  `nameValue` - the non-null name=value String
Returns:
  the found name